Subject: Request for merging "mesa-updates" branch
From: John Kehayias <[email-masked]>
To: [email-masked]
Date: Fri, 30 Jun 2023 15:53:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

This is a request to merge the recently created "mesa-updates" branch. Currently there are just 2 patches on there, fixing/updating mesa only. The main thing to see is how substitute building goes in case anything breaks, but I'm hoping there isn't anything caused by this update.

I believe the "ruby-team" and "tex-team-next" [1] are ahead in the queue, not sure the timing of where those are. In addition/alternatively, would it make sense to have this branch as a separate build job on Cuirass directly as the "kernel-updates" branch? This would need a build roughly every month or so when mesa puts out a new update, we check for breakages, and then merge to master with substitutes available already.

I wasn't sure if this needs formal blockers in debbugs for the other branch merge requests, let me know!

Thanks,
John

[0] <https://issues.guix.gnu.org/63713>

[1] <https://issues.guix.gnu.org/64324>